I currently have pyclips in this directory:

*C:\Python27\pyclips*

I try running setup.py, but it produces the following error:

*C:\Python27\pyclips>setup.py install
Module 'clips': Python to CLIPS interface
Setup revision: $Id: setup.py 342 2008-02-22 01:17:23Z Franz $
finding low-level module symbols... Done!
building environment-aware submodule... Done!
Found CLIPS version: 6.24
Creating version number: Standard setup in progress:
running install
running build
running build_py
creating build
creating build\lib.win-amd64-2.7
creating build\lib.win-amd64-2.7\clips
copying clips\_clips_wrap.py -> build\lib.win-amd64-2.7\clips
copying clips\_eclips_wrap.py -> build\lib.win-amd64-2.7\clips
copying clips\_license.py -> build\lib.win-amd64-2.7\clips
copying clips\_version.py -> build\lib.win-amd64-2.7\clips
copying clips\__init__.py -> build\lib.win-amd64-2.7\clips
running build_ext
building 'clips._clips' extension
error: Unable to find vcvarsall.bat*

I saw the compiler fix someone posted, but it didn’t work either:

*C:\Python27\pyclips>python setup.py install build --compiler=mingw32
Module 'clips': Python to CLIPS interface
Setup revision: $Id: setup.py 342 2008-02-22 01:17:23Z Franz $
finding low-level module symbols... Done!
building environment-aware submodule... Done!
Found CLIPS version: 6.24
Creating version number: Standard setup in progress:
running install
running build
running build_py
copying clips\_eclips_wrap.py -> build\lib.win-amd64-2.7\clips
copying clips\_version.py -> build\lib.win-amd64-2.7\clips
running build_ext
building 'clips._clips' extension
creating build\temp.win-amd64-2.7
creating build\temp.win-amd64-2.7\Release
creating build\temp.win-amd64-2.7\Release\clipssrc
gcc -mno-cygwin -mdll -O -Wall -I.\clipssrc -IC:\Python27\include -IC:\Python27\
PC -c clipsmodule.c -o build\temp.win-amd64-2.7\Release\clipsmodule.o -DPYCLIPS
-DCLIPS_MAJOR=6 -DCLIPS_MINOR=24 -DPYCLIPS_MAJOR=1 -DPYCLIPS_MINOR=0 -DPYCLIPS_P
ATCHLEVEL=7 -DPYCLIPS_INCREMENTAL=348 -fno-strict-aliasing
error: command 'gcc' failed: No such file or directory*

What should I do instead?

 
Last edit: EA61 2013-05-09